<?php

SDV($CurrentTime, strftime($TimeFmt, $Now));
SDV($CurrentTimeISO, strftime($TimeISOFmt, $Now));

if (IsEnabled($EnableStdConfig,1))
  include_once("$FarmD/scripts/stdconfig.php");


# It would seem RelativeURLs has a big problem with %% styles especially when
# html links are UTF-8 as the % character is used a lot.  
if (IsEnabled($EnableWikiStyles,1)){
	DisableMarkup("%%");
	Markup('%StylesMarkupThatPlaysNice%','style','%','return ApplyStylesWhenAppropriate($x);');
}


function ApplyStylesWhenAppropriate($x){
	global $UrlExcludeChars;
	$x = preg_replace("/\\bhttps?:[^$UrlExcludeChars]+|\\.\\/[^$UrlExcludeChars]+/e", "Keep('$0')", $x);
	return ApplyStyles($x);
}


# The $LinkPattern variable is over-written after config.php is loaded.
# If the $LinkPattern could be set, then the following code BELOW coulde be replace with;
#  global $LinkPattern, $LinkFunctions;
#  $LinkPatternsList = $LinkFunctions;
#  $LinkPatternsList["\\.\\/"] = $LinkFunctions["./"];
#  unset($LinkPatternsList["./"]);
#  $LinkPattern = implode('|',array_keys($LinkPatternsList));


global $HandleActions, $RelativeURLs_HandleActions;

foreach ($HandleActions as $k => $v) {
	$RelativeURLs_HandleActions[$k] = $v;
   	$HandleActions[$k] = "actionInterceptor";
}

function actionInterceptor($pagename, $auth){
	
	global $LinkPattern, $LinkFunctions;
	global $IMap;
	SDV($LinkFunctions['./'], 'LinkIMap');
	SDV($IMap['./'], './$1');
	
	$LinkPatternsList = $LinkFunctions;
	
	$LinkPatternsList["\\.\\/"] = $LinkFunctions["./"];
	unset($LinkPatternsList["./"]);
	
	$LinkPattern = implode('|',array_keys($LinkPatternsList));
	
	global $RelativeURLs_HandleActions, $action, $HandleAuth;
	$RelativeURLs_HandleActions[$action]($pagename, $HandleAuth[$action]);
}
?>